import request from '@/utils/request'

// 查询店铺用户列表
export function getShopList() {
  return request({
    url: '/shopuser/shopuser/getshopList',
    method: 'get'
  })
}


// 查询店铺用户列表
export function listShopuser(query) {
  return request({
    url: '/shopuser/shopuser/list',
    method: 'get',
    params: query
  })
}

// 查询店铺用户详细
export function getShopuser(userId) {
  return request({
    url: '/shopuser/shopuser/' + userId,
    method: 'get'
  })
}

// 新增店铺用户
export function addShopuser(data) {
  return request({
    url: '/shopuser/shopuser',
    method: 'post',
    data: data
  })
}

// 修改店铺用户
export function updateShopuser(data) {
  return request({
    url: '/shopuser/shopuser',
    method: 'put',
    data: data
  })
}

// 删除店铺用户
export function delShopuser(userId) {
  return request({
    url: '/shopuser/shopuser/' + userId,
    method: 'delete'
  })
}

// 导出店铺用户
export function exportShopuser(query) {
  return request({
    url: '/shopuser/shopuser/export',
    method: 'get',
    params: query
  })
}
